DIALIGN-TX(1)

NAME
dialign-tx - Segment-based multiple sequence alignment

SYNOPSIS

dialign-tx [OPTIONS] {conf-directory} {fasta-file} [fasta-out-file]

DESCRIPTION

DIALIGN-TX is an improved algorithm for segment-based multiple protein alignments. DIALIGN-TX is a complete reimplementation of the segment-base approach including several new improvements and heuristics that significantly enhance the quality of the output alignments compared to DIALIGN 2.2. This significant superiority has been observed on local as well on global alignment benchmarks.

OPTIONS

-d
    Debug-Mode [DEFAULT 0]

        0 no debug statements

        1 debugs the current phase of the processing

        2 very loquacious debugging

        5 hardcore debugging

-s
    Maximum amount of input sequences [DEFAULT 5000].

-a
    Maximum number of characters per line in a FASTA file [DEFAULT 100].

-c
    Maximum amount of characters per line when printing a sequence [DEFAULT 80].

-l
    sensitivity mode, the higher the level the less likely spurious random fragments are aligned in local alignments [DEFAULT 0]

        0 switched off

        1 level-1, reduced sensitivity

        2 level-2, strongly reduced sensitivity

-m
    Score matrix file name (in the configuration directory) [DEFAULT PROTEIN: BLOSUM.scr] / [DEFAULT DNA: dna_matrix.scr].

-w
    Defines the minimum weight when the weight formula is changed to 1-pow(1-prob, factor) [DEFAULT 0.000000065].

-p
    Probability distribution file name (in the configuration directory) [DEFAULT PROTEIN: BLOSUM.diag_prob_t10] / [DEFAULT DNA: dna_diag_prob_100_exp_550000].

-v
    Add to each score (to prevent negative values) [DEFAULT 0].

-t
    “Even” threshold for low score for sequences alignment [DEFAULT PROTEIN: 4] / [DEFAULT DNA: 0].

-n
    Maximum number of consecutive positions for window containing low scoring positions [DEFAULT PROTEIN: 4] / [DEFAULT DNA: 1].

-g
    Global minimum fragment length for stop criterion [DEFAULT PROTEIN: 40] / [DEFAULT DNA: 1].

-m
    Minimal allowed average score in frag window containing low scoring positions [DEFAULT PROTEIN: 4.0] / [DEFAULT DNA: 0.9].

-o
    Whether overlap weights are calculated or not [DEFAULT 0].

-f
    Minimum fragment length [DEFAULT 1].

-r
    Threshold weight to consider the fragment at all [DEFAULT 0.0].

-u
    [DEFAULT 0]

                      1: Only use a sqrt(amount_of_seqs) stripe of neighbour sequences to calculate pairwise alignments (increase performance).

                      0: All pairwise alignments will be calculated.

-A
    Optional anchor file. [DEFAULT none]

-D
    Input is DNA-sequence.

-T
    Translate DNA into aminoacids from begin to end (length will be cut to mod 3 = 0).

    Warning Do not use -D with this option (Default values for PROTEIN input will be loaded).

-L
    Compare only longest Open Reading Frame.

    Warning Do not use -D with this option (Default values for PROTEIN input will be loaded).

-O
    Translate DNA to aminoacids, reading frame for each sequence calculated due to its longest ORF.

    Warning Do not use -D with this option (Default values for PROTEIN input will be loaded).

-P
    Output in aminoacids, no retranslation of DNA sequences [DEFAULT: input = output].

-F
    Fast mode (implies -l0, since it already significantly reduces sensitivity).

-C
    Generate probability table saved in /usr/share/dialign-tx/prob_table and exit.

-H, -h
    Print this message.

FILES

/usr/share/dialign-tx
    This is the default conf-directory that dialign-tx expects as its first argument, as supplied in the upstream sources.

SEE ALSO

DIALIGN-TX is a re-implementation of dialign2-2(1). (See http://dialign.gobics.de/ for more information about DIALIGN2).

The website of DIALIGN-TX is http://dialign-tx.gobics.de/

REFERENCES

Amarendran R. Subramanian, Michael Kaufmann, Burkhard Morgenstern: DIALIGN-TX: improvement of the segment-based approach for multiple sequence alignment by combining greedy and progressive alignment strategies, Algorithms for Molecular Biology 3:6, 2008.

Amarendran R. Subramanian, Jan Weyer-Menkhoff, Michael Kaufmann, Burkhard Morgenstern: DIALIGN-T: An improved algorithm for segment-based multiple sequence alignment. BMC Bioinformatics 2005, 6:66.

AUTHORS

Amarendran R. Subramanian <subraman@informatik.uni-tuebingen.de>

    Author of dialign-tx

Volker Menrad

    Co-author of dialign-tx

Dorothea Emig

    Co-author of dialign-tx

Charles Plessy <plessy@debian.org>

    Converted this guide in DocBook XML for the Debian distribution.

COPYRIGHT
Copyright © 2004, 2005, 2006, 2007, 2008 Amarendran R. Subramanian (DIALIGN-TX)
Copyright © 2004 Volker Menrad (DIALIGN-TX)
Copyright © 2004 Dorothea Emig (DIALIGN-TX)
Copyright © 2007, 2008 Charles Plessy (This document and its XML source.)

DIALIGN-TX is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

DIALIGN-TX is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

On Debian system, a copy of the GNU Lesser General Public License is available in /usr/share/common-licences.

This documentation and its XML source file can be used, modified and redistributed under the same terms as DIALIGN-TX itself.